KNS::ProviderDialog Class Reference

`#include <providerdialog.h>`

Inherits KDialogBase.

## Public Member Functions

| ProviderDialog (Engine *engine, QWidget *parent)
void | clear ()
void | addProvider (Provider *)

## Protected Slots

void | slotOk ()

## Detailed Description

Dialog displaying a list of Hotstuff providers.

This is normally used in the process of uploading data, thus limiting the list to providers which support uploads. One of the providers is then chosen by the user for further operation.

Author
  Cornelius Schumacher (schum.nosp@m.ache.nosp@m.r@kde.nosp@m..org)

Maintainer:
  Josef Spillner (spill.nosp@m.ner@.nosp@m.kde.o.nosp@m.rg)

Definition at line 43 of file providerdialog.h.

## Constructor & Destructor Documentation

ProviderDialog::ProviderDialog | ( | Engine * | engine,
|  | QWidget * | parent
| ) |  |

Constructor.

Parameters

  engine | a KNewStuff engine object
  parent | the parent window

Definition at line 52 of file providerdialog.cpp.

## Member Function Documentation

void ProviderDialog::addProvider | ( | Provider * | provider | ) |

Adds a Hotstuff provider to the list.

Definition at line 74 of file providerdialog.cpp.

void ProviderDialog::clear | ( |  | ) |

Clears the list of providers.

Definition at line 69 of file providerdialog.cpp.

The documentation for this class was generated from the following files:

- providerdialog.h
- providerdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys